Delete cloned voice
curl --request DELETE \
--url https://supertoneapi.com/v1/custom-voices/{voice_id} \
--header 'x-sup-api-key: <api-key>'import requests
url = "https://supertoneapi.com/v1/custom-voices/{voice_id}"
headers = {"x-sup-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-sup-api-key': '<api-key>'}};
fetch('https://supertoneapi.com/v1/custom-voices/{voice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://supertoneapi.com/v1/custom-voices/{voice_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-sup-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://supertoneapi.com/v1/custom-voices/{voice_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"x-sup-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.delete("https://supertoneapi.com/v1/custom-voices/{voice_id}")
.header("x-sup-api-key", "<api-key>")
.asString();{
"status": "error",
"message": {
"message": "Invalid API Key",
"error": "Unauthorized"
}
}{
"status": "error",
"message": {
"message": "Voice not found",
"error": "Not Found"
}
}{
"status": "error",
"message": {
"message": "Failed to convert text to speech",
"error": "Internal Server Error"
}
}Custom voices
Delete custom voice
アカウントからカスタム(クローン)ボイスを完全に削除します。
DELETE
/
v1
/
custom-voices
/
{voice_id}
Delete cloned voice
このドキュメントは英語の原文から自動翻訳されています。表現に不自然な箇所がある場合があります。正確な内容は英語の原文もあわせてご確認ください。
そのボイスで生成済みの既存オーディオクリップには影響しません。削除されるのはボイス自体のみで、削除済みの
voice_id を参照する以降の TTS コールは 404 Not Found を返します。エンドポイント
DELETE https://supertoneapi.com/v1/custom-voices/{voice_id}
パスパラメータ
| Name | Required | Description |
|---|---|---|
voice_id | ✅ | 削除対象のカスタムボイスの ID です。 |
レスポンス
成功時は空のボディとともに200 OK を返します。
エラー
| Status | Cause |
|---|---|
404 Not Found | アカウント上に該当のボイスが存在しません。 |
403 Forbidden | ボイスが別アカウントに属しています。 |
関連項目
Docs: Custom voices
カスタムボイスのライフサイクル全体。
List custom voices
削除前にカスタムボイスを参照します。
⌘I